<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Playlist extends Model
{
    /**
     * Belongs To A User.
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    /**
     * Has Many Episodes.
     */
    public function episodes(): HasMany
    {
        return $this->hasMany(PlaylistEpisode::class);
    }
}
